clang-tools 8.0.0

Namespaces | Functions
Headers.cpp File Reference
`#include "Headers.h"`
`#include "Compiler.h"`
`#include "Logger.h"`
`#include "SourceCode.h"`
`#include "clang/Frontend/CompilerInstance.h"`
`#include "clang/Frontend/CompilerInvocation.h"`
`#include "clang/Frontend/FrontendActions.h"`
`#include "clang/Lex/HeaderSearch.h"`
`#include "llvm/Support/Path.h"`
Include dependency graph for Headers.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
bool | clang::clangd::isLiteralInclude (llvm::StringRef Include)
| Returns true if `Include` is literal include like "path" or <path>. More...
std::unique_ptr< PPCallbacks > | clang::clangd::collectIncludeStructureCallback (const SourceManager &SM, IncludeStructure *Out)
| Returns a PPCallback that visits all inclusions in the main file. More...
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, const Inclusion &Inc)